unofficial mirror of bug-guix@gnu.org 
 help / color / mirror / code / Atom feed
* bug#69776: emacs-hyperbole: runtime exceptions in 8.0.0
@ 2024-03-13 15:25 Christopher Howard
  2024-03-13 20:49 ` Nicolas Goaziou via Bug reports for GNU Guix
  0 siblings, 1 reply; 2+ messages in thread
From: Christopher Howard @ 2024-03-13 15:25 UTC (permalink / raw)
  To: 69776

Hello, a while ago I reported an error in hyperbole 8.0.0 causing a regex exception on many implicit buttons:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69338

Upstream stated the problem will be resolved in official 9.0.1 release, and this version has just been officially released. Using --with-latest to install 9.0.1., I confirmed that the problem is indeed resolved, and so I would request an update to 9.0.1. I'm not at liberty to submit a patch myself right at the moment. Perhaps I'll be able to make one in the next few days but I'm not sure.

A side note: the first example in the 9.0.1 "FAST-DEMO" requires that the "HY-NEWS" file be available in the install directory, but guix does not install this file.

> ** Pathname Implicit Buttons
>
>    "HY-NEWS#ORG MODE:3:6"   - outline section anchor & relative line number

If we could fix this at the same time, that would be great.

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ




^ permalink raw reply	[flat|nested] 2+ messages in thread

* bug#69776: emacs-hyperbole: runtime exceptions in 8.0.0
  2024-03-13 15:25 bug#69776: emacs-hyperbole: runtime exceptions in 8.0.0 Christopher Howard
@ 2024-03-13 20:49 ` Nicolas Goaziou via Bug reports for GNU Guix
  0 siblings, 0 replies; 2+ messages in thread
From: Nicolas Goaziou via Bug reports for GNU Guix @ 2024-03-13 20:49 UTC (permalink / raw)
  To: Christopher Howard; +Cc: 69776-done

Hello,

Christopher Howard <christopher@librehacker.com> writes:

> Hello, a while ago I reported an error in hyperbole 8.0.0 causing a regex exception on many implicit buttons:
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69338
>
> Upstream stated the problem will be resolved in official 9.0.1
> release, and this version has just been officially released.
> Using --with-latest to install 9.0.1., I confirmed that the problem is
> indeed resolved, and so I would request an update to 9.0.1. I'm not at
> liberty to submit a patch myself right at the moment. Perhaps I'll be
> able to make one in the next few days but I'm not sure.
>
> A side note: the first example in the 9.0.1 "FAST-DEMO" requires that the "HY-NEWS" file be available in the install directory, but guix does not install this file.
>
>> ** Pathname Implicit Buttons
>>
>>    "HY-NEWS#ORG MODE:3:6"   - outline section anchor & relative line number
>
> If we could fix this at the same time, that would be great.

Fixed. Thank you.

Regards,
-- 
Nicolas Goaziou






^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-03-13 20:51 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-03-13 15:25 bug#69776: emacs-hyperbole: runtime exceptions in 8.0.0 Christopher Howard
2024-03-13 20:49 ` Nicolas Goaziou via Bug reports for GNU Guix

Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/guix.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).